# WOK
TKWOK
WOKNT

# WOKNT_Path Class Reference

`#include <WOKNT_Path.hxx>`

## Public Member Functions

Standard_EXPORT | WOKNT_Path ()
| creates a class instance
Standard_EXPORT | WOKNT_Path (const Handle(TCollection_HAsciiString)&aPath)
| creates a class instance
Standard_EXPORT | WOKNT_Path (const Handle(TCollection_HAsciiString)&aDir, const Handle(TCollection_HAsciiString)&aName)
| creates a class instance
Standard_EXPORT | WOKNT_Path (const Standard_CString aDir, const Standard_CString aName)
| creates a class instance
Standard_EXPORT Standard_Boolean | Exists ()
| tests whether specified entity exists or not
Standard_EXPORT Standard_Boolean | CreateDirectory (const Standard_Boolean fCreateParents=Standard_False)
| creates a directory
Standard_EXPORT Standard_Boolean | CreateFile (const Standard_Boolean fCreateParents=Standard_False)
| creates a file
Standard_EXPORT Standard_Boolean | RemoveDirectory (const Standard_Boolean fRemoveChilds=Standard_False)
| removes a directory
Standard_EXPORT Standard_Boolean | RemoveFile ()
| removes a file
Standard_EXPORT Standard_Boolean | MoveTo (const Handle(WOKNT_Path)&aDestPath)
| moves a file/directory to the new location
Standard_EXPORT WOKNT_TimeStat | GetMDate ()
| returns last modification date of the file
Standard_EXPORT WOKNT_Extension | Extension () const
| returns a file extension
Standard_EXPORT Handle_TCollection_HAsciiString | BaseName () const
| returns a base name of full file name
Standard_EXPORT Handle_TCollection_HAsciiString | DirName () const
| returns path component of full file name
Standard_EXPORT Handle_TCollection_HAsciiString | FileName () const
| returns file name ( name.ext )
const Handle_TCollection_HAsciiString & | Name () const
| returns full name
WOKNT_TimeStat | MDate ()
| returns known modification date of path
void | ResetMDate ()
| resets modification date
Standard_EXPORT Standard_Boolean | IsOlder (const Handle(WOKNT_Path)&aName)
| compares last modification time of the file
Standard_EXPORT Standard_Boolean | IsNewer (const Handle(WOKNT_Path)&aName)
| compares last modification time of the file
Standard_EXPORT Standard_Boolean | IsDirectory ()
Standard_EXPORT Standard_Boolean | IsFile ()
| checks whether 'myPath' is a file or not
Standard_EXPORT Standard_Boolean | IsSymLink ()
| checks whether specified file a symbolic link or not
Standard_EXPORT Handle_WOKNT_Path | ReducedPath () const
| reduces Path as much as possible (reads links)
Standard_EXPORT Standard_Boolean | IsSameFile (const Handle(WOKNT_Path)&aPath) const
Standard_EXPORT Standard_Boolean | IsWriteAble ()
Standard_EXPORT Handle_TCollection_HAsciiString | ExtensionName () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_Boolean | CheckAttr ()
Standard_EXPORT Standard_Boolean | GetAttr ()

## Private Attributes

Handle_TCollection_HAsciiString | myPath
WOKNT_TimeStat | myDate
WOKNT_Dword | myAttr
Standard_Boolean | myAttrGet

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_Path::WOKNT_Path | ( |  | ) |

Standard_EXPORT WOKNT_Path::WOKNT_Path | ( | const Handle(TCollection_HAsciiString)& | aPath | ) |

Standard_EXPORT WOKNT_Path::WOKNT_Path | ( | const Handle(TCollection_HAsciiString)& | aDir,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

Standard_EXPORT WOKNT_Path::WOKNT_Path | ( | const Standard_CString | aDir,
|  | const Standard_CString | aName
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKNT_Path::BaseName | ( |  | ) | const

Standard_Boolean WOKNT_Path::CheckAttr | ( |  | ) | `[inline, private]`

Standard_EXPORT Standard_Boolean WOKNT_Path::CreateDirectory | ( | const Standard_Boolean | fCreateParents = `Standard_False` | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::CreateFile | ( | const Standard_Boolean | fCreateParents = `Standard_False` | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKNT_Path::DirName | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKNT_Path::Exists | ( |  | ) |

Standard_EXPORT WOKNT_Extension WOKNT_Path::Extension | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKNT_Path::ExtensionName | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKNT_Path::FileName | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKNT_Path::GetAttr | ( |  | ) | `[private]`

Standard_EXPORT WOKNT_TimeStat WOKNT_Path::GetMDate | ( |  | ) |

Standard_EXPORT const WOKNT_Path::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean WOKNT_Path::IsDirectory | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::IsFile | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::IsNewer | ( | const Handle(WOKNT_Path)& | aName | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::IsOlder | ( | const Handle(WOKNT_Path)& | aName | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::IsSameFile | ( | const Handle(WOKNT_Path)& | aPath | ) | const

Standard_EXPORT Standard_Boolean WOKNT_Path::IsSymLink | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::IsWriteAble | ( |  | ) |

WOKNT_TimeStat WOKNT_Path::MDate | ( |  | ) | `[inline]`

Standard_EXPORT Standard_Boolean WOKNT_Path::MoveTo | ( | const Handle(WOKNT_Path)& | aDestPath | ) |

const Handle_TCollection_HAsciiString& WOKNT_Path::Name | ( |  | ) | const

Standard_EXPORT Handle_WOKNT_Path WOKNT_Path::ReducedPath | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKNT_Path::RemoveDirectory | ( | const Standard_Boolean | fRemoveChilds = `Standard_False` | ) |

Standard_EXPORT Standard_Boolean WOKNT_Path::RemoveFile | ( |  | ) |

void WOKNT_Path::ResetMDate | ( |  | ) | `[inline]`

## Field Documentation

WOKNT_Dword WOKNT_Path::myAttr `[private]`

Standard_Boolean WOKNT_Path::myAttrGet `[private]`

WOKNT_TimeStat WOKNT_Path::myDate `[private]`

Handle_TCollection_HAsciiString WOKNT_Path::myPath `[private]`

The documentation for this class was generated from the following files:

- WOKNT_Path.hxx
- WOKNT_Path.lxx